Bug 1862896 - cluster-monitoring-operator: make generate breaks on non-GNU systems
Summary: cluster-monitoring-operator: make generate breaks on non-GNU systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-03 07:42 UTC by Sergiusz Urbaniak
Modified: 2020-10-27 16:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:22:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 887 0 None closed Bug 1862896: Fix CamelCase to snake-case conversion 2020-08-20 17:43:32 UTC
Github openshift cluster-monitoring-operator pull 895 0 None closed Bug 1862896: add requirements section and generate-in-docker target 2020-08-20 17:43:33 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:22:22 UTC

Description Sergiusz Urbaniak 2020-08-03 07:42:13 UTC
Recently we removed `make generate-in-docker` to using native tooling instead. This broke for some users as we require GNU's tool chain to make it work.

We need to document the required toolchain in the README and potentially use a more tolerant tool, i.e. sed.

Comment 1 Sergiusz Urbaniak 2020-08-03 07:43:11 UTC
Note this refers to building cluster-monitoring-operator and does not have effect on runtime behavior.

Comment 4 Junqi Zhao 2020-08-05 10:17:34 UTC
it is added in README, close this bug

Comment 6 errata-xmlrpc 2020-10-27 16:22:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.